<template>
  <ul
    class="-mx-2 space-y-1"
    role="list"
  >
    <li
      v-for="item in navigation"
      :key="item.name"
    >
      <RouterLink
        :class="[$snowflake.router.isCurrent(item.to) ? 'bg-gray-800 text-white' : 'text-gray-400 hover:bg-gray-800 hover:text-white']"
        :to="item.to"
        class="group flex items-center gap-x-3 rounded-md fill-current p-2 text-sm font-semibold leading-6 focus:outline-none focus:ring-2 focus:ring-white"
      >
        <component
          :is="item.icon"
          aria-hidden="true"
          class="h-5 w-5 shrink-0"
        />
        {{ item.name }}
      </RouterLink>
    </li>
  </ul>
</template>

<script setup lang="ts">
import type { RouteLocationNamedRaw } from "vue-router";
import type { FunctionalComponent, SVGAttributes } from "vue";

defineProps<{
  navigation: { name: string; to: RouteLocationNamedRaw; icon: FunctionalComponent<SVGAttributes> }[];
}>();
</script>
